Package org.bgerp.plugin.pln.callboard.model

# Class WorkTask

java.lang.Object
org.bgerp.plugin.pln.callboard.model.WorkTask

public class WorkTask extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `PROCESS_ID_LOCK`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDuration()`
  `int`
  `getGraphId()`
  `int`
  `getGroupId()`
  `int`
  `getMinuteFrom()`
  `int`
  `getProcessId()`
  `String`
  `getReference()`
  `int`
  `getSlotFrom()`
  `int`
  `getSlotTo()`
  `int`
  `getTeam()`
  `Date`
  `getTime()`
  `int`
  `getUserId()`
  `boolean`
  `isLock()`
  `void`
  `setDuration(int duration)`
  `void`
  `setGraphId(int graphId)`
  `void`
  `setGroupId(int groupId)`
  `void`
  `setProcessId(int processId)`
  `void`
  `setReference(String reference)`
  `void`
  `setSlotFrom(int pos)`
  `void`
  `setSlotTo(int positionTo)`
  `void`
  `setTeam(int team)`
  `void`
  `setTime(Date time)`
  `void`
  `setUserId(int userId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROCESS_ID_LOCK

    public static final int PROCESS_ID_LOCK
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WorkTask

    public WorkTask()

- ## Method Details

  - ### getGraphId

    public int getGraphId()

  - ### setGraphId

    public void setGraphId(int graphId)

  - ### getTeam

    public int getTeam()

  - ### setTeam

    public void setTeam(int team)

  - ### getGroupId

    public int getGroupId()

  - ### setGroupId

    public void setGroupId(int groupId)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getProcessId

    public int getProcessId()

  - ### setProcessId

    public void setProcessId(int processId)

  - ### getTime

    public Date getTime()

  - ### setTime

    public void setTime(Date time)

  - ### getMinuteFrom

    public int getMinuteFrom()

  - ### getSlotFrom

    public int getSlotFrom()

  - ### setSlotFrom

    public void setSlotFrom(int pos)

  - ### getDuration

    public int getDuration()

  - ### setDuration

    public void setDuration(int duration)

  - ### getSlotTo

    public int getSlotTo()

  - ### setSlotTo

    public void setSlotTo(int positionTo)

  - ### getReference

    public String getReference()

  - ### setReference

    public void setReference(String reference)

  - ### isLock

    public boolean isLock()